Skip to main content
`Ctrl`+`K`

# SVDRegister

Adds a method to the singular value solver package.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDRegister(const char *name,PetscErrorCode (*function)(SVD))

Not Collective

## Input Parameters

- name - name of a new user-defined solver

- function - routine to create the solver context

## Note

`SVDRegister()` may be called multiple times to add several user-defined solvers.

## Example Usage

       SVDRegister("my_solver",MySolverCreate);

Then, your solver can be chosen with the procedural interface via

       SVDSetType(svd,"my_solver")

or at runtime via the option `-svd_type my_solver`.

## See Also

SVD: Singular Value Decomposition, `SVDRegisterAll()`

## Level

advanced

## Location

src/svd/interface/svdbasic.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages